function onTalk()
	disableMovement()
	if getFlag("StarDust") then
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutDown")
	else
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutUp")
	end
	setFlag("StarDust", not getFlag("StarDust"))
	setFlag("Nebula",false)
	setFlag("Solar",false)
	setFlag("Vortex",false)
	wait(0.2)
	enableMovement()
end
